> For the complete documentation index, see [llms.txt](https://docs-en.shoppy.is/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-en.shoppy.is/developers/developer-pages/variables.md).

# Variables

#### Here is a list of all available Dynamic Values that you can use:

<table data-header-hidden><thead><tr><th width="200"></th><th width="452"></th><th></th></tr></thead><tbody><tr><td><strong>Property</strong></td><td><strong>Description</strong></td><td><strong>Type</strong></td></tr><tr><td>{{user_id}}</td><td><p>Customer Shopify ID </p><p><em>ex.</em> 3416346149010</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{user_email}}</td><td><p>Customer Shopify Email</p><p><em>ex.</em> mybeautiful@developerpage.com</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{user_first_name}}</td><td><p>Customer Shopify First Name</p><p><em>ex.</em> John</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{user_last_name}}</td><td><p>Customer Shopify Last Name</p><p><em>ex.</em> Doe</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{user_token}}</td><td><p>Customer Shopify Token</p><p><em>ex.</em> 13a6caf33cabb5e205a634f89d586801</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{user_is_logged_in}}</td><td>1 if the Customer is logged in the app, 0 if not</td><td><mark style="color:purple;">BOOLEAN</mark></td></tr><tr><td>{{user_phone}}</td><td><p>Customer Shopify Phone</p><p><em>ex.</em> 08 954829382</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{cart_items}}</td><td><p>List of articles in the cart of the logged in Customer</p><p><em>ex.</em></p><pre><code>[
  {
    "product_id": 7418221789368,
    "product_title": "Ski+Goggles",
    "product_image": "https://cdn.shopify.com/s/files/1/0527/8416/9144/files/Shoppyvideoimage_8_9590c1d7-c0dc-4ef2-89e8-feb2cc35449a_1000x1000.png?v=1705053386",
    "variant_id": 42808268193976,
    "variant_title": "Small",
    "variant_image": "https://cdn.shopify.com/s/files/1/0527/8416/9144/files/Shoppyvideoimage_8_9590c1d7-c0dc-4ef2-89e8-feb2cc35449a_1000x1000.png?v=1705053386",
    "variant_price": {
      "amount": 0,
      "currency": "EUR"
    },
    "quantity": 1
  }
]
</code></pre></td><td><mark style="color:green;">ARRAY</mark></td></tr><tr><td>{{wishlist_items}}</td><td><p>List of articles in the wishlist if the Customer is logged in</p><pre><code>[
    {
        "product_id": 7418221789368,
        "product_title": "Ski+Goggles",
        "product_image": "https://cdn.shopify.com/s/files/1/0527/8416/9144/files/Shoppyvideoimage_8_9590c1d7-c0dc-4ef2-89e8-feb2cc35449a_1000x1000.png?v=1705053386"
    },
    {
        "product_id": 7418218938552,
        "product_title": "Ski+Boots",
        "product_image": "https://cdn.shopify.com/s/files/1/0527/8416/9144/files/Shoppyvideoimage_4_1000x1000.png?v=1705053206"
    }
]
</code></pre></td><td><mark style="color:green;">ARRAY</mark></td></tr><tr><td>{{locale}}</td><td><p>Language the shop is viewed in</p><p><em>ex.</em> it-IT</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{country}}</td><td><p>Customer Shopify Country</p><p><em>ex.</em> IT</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{currency}}</td><td><p>Customer Shopify Currency</p><p><em>ex.</em> EUR</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{device_id}}</td><td><p>Device ID</p><p><em>ex.</em> EAPD2B3F-AA89-48F5-B71F-99DE7FD9CD9C</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{device_locale}}</td><td><p>Device Language</p><p><em>ex.</em> it_IT</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{device_window_height}}</td><td><p>Height of device screen</p><p><em>ex.</em> 844</p></td><td><mark style="color:blue;">STRING</mark></td></tr><tr><td>{{device_window_width}}</td><td><p>Width of device screen</p><p><em>ex.</em> 390</p></td><td><mark style="color:blue;">STRING</mark></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs-en.shoppy.is/developers/developer-pages/variables.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
